#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './klatinchoose.ui'
**
** Created: 2012-10-09T21:47:05
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "klatinchoose.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KLatinChoose as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KLatinChoose::KLatinChoose( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KLatinChoose" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    KLatinChooseLayout = new QVBoxLayout( this, 11, 6, "KLatinChooseLayout"); 

    tqlayout81 = new QVBoxLayout( 0, 0, 6, "tqlayout81"); 

    WelcomeLabel = new QLabel( this, "WelcomeLabel" );
    QFont WelcomeLabel_font(  WelcomeLabel->font() );
    WelcomeLabel_font.setPointSize( 16 );
    WelcomeLabel_font.setBold( TRUE );
    WelcomeLabel->setFont( WelcomeLabel_font ); 
    WelcomeLabel->setTqalignment( int( QLabel::AlignCenter ) );
    tqlayout81->addWidget( WelcomeLabel );

    tqlayout80 = new QHBoxLayout( 0, 0, 6, "tqlayout80"); 

    Options = new QButtonGroup( this, "Options" );
    Options->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, Options->sizePolicy().hasHeightForWidth() ) );
    Options->setColumnLayout(0, Qt::Vertical );
    Options->layout()->setSpacing( 6 );
    Options->layout()->setMargin( 11 );
    OptionsLayout = new QVBoxLayout( Options->layout() );
    OptionsLayout->setAlignment( Qt::AlignTop );
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    OptionsLayout->addItem( spacer1 );

    VocabOption = new QRadioButton( Options, "VocabOption" );
    VocabOption->setChecked( TRUE );
    OptionsLayout->addWidget( VocabOption );

    GrammarOption = new QRadioButton( Options, "GrammarOption" );
    GrammarOption->setChecked( FALSE );
    OptionsLayout->addWidget( GrammarOption );

    VerbsOption = new QRadioButton( Options, "VerbsOption" );
    OptionsLayout->addWidget( VerbsOption );

    RevisionOption = new QRadioButton( Options, "RevisionOption" );
    OptionsLayout->addWidget( RevisionOption );
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    OptionsLayout->addItem( spacer2 );
    tqlayout80->addWidget( Options );

    tqlayout79 = new QVBoxLayout( 0, 0, 6, "tqlayout79"); 
    spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout79->addItem( spacer3 );

    StartButton = new KPushButton( this, "StartButton" );
    tqlayout79->addWidget( StartButton );

    QuitButton = new KPushButton( this, "QuitButton" );
    tqlayout79->addWidget( QuitButton );
    spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout79->addItem( spacer4 );
    tqlayout80->addLayout( tqlayout79 );
    tqlayout81->addLayout( tqlayout80 );
    KLatinChooseLayout->addLayout( tqlayout81 );
    languageChange();
    resize( QSize(490, 230).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KLatinChoose::~KLatinChoose()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KLatinChoose::languageChange()
{
    WelcomeLabel->setText( tr2i18n( "Welcome to KLatin\n"
"Please Choose Section of Revision" ) );
    Options->setTitle( tr2i18n( "Revision Sections" ) );
    VocabOption->setText( tr2i18n( "&Vocabulary" ) );
    QToolTip::add( VocabOption, tr2i18n( "Test on Vocabulary" ) );
    QWhatsThis::add( VocabOption, tr2i18n( "Multiple choice vocabulary test" ) );
    GrammarOption->setText( tr2i18n( "&Grammar" ) );
    QToolTip::add( GrammarOption, tr2i18n( "Test on noun grammar" ) );
    QWhatsThis::add( GrammarOption, tr2i18n( "Test on common nouns and endings" ) );
    VerbsOption->setText( tr2i18n( "Ver&bs" ) );
    QToolTip::add( VerbsOption, tr2i18n( "Test on verb forms" ) );
    QWhatsThis::add( VerbsOption, tr2i18n( "Test on common verbs and endings" ) );
    RevisionOption->setText( tr2i18n( "&Revision notes" ) );
    QToolTip::add( RevisionOption, tr2i18n( "Load revision notes" ) );
    QWhatsThis::add( RevisionOption, tr2i18n( "The KLatin revision notes with\n"
"verb and noun tables" ) );
    StartButton->setText( tr2i18n( "S&tart" ) );
    QToolTip::add( StartButton, tr2i18n( "Start chosen area of revision" ) );
    QWhatsThis::add( StartButton, tr2i18n( "Start the section you have chosen" ) );
    QuitButton->setText( tr2i18n( "&Quit" ) );
    QToolTip::add( QuitButton, tr2i18n( "Quits" ) );
    QWhatsThis::add( QuitButton, tr2i18n( "Quit KLatin" ) );
}

#include "klatinchoose.moc"
